<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" 
           xmlns:dc="http://purl.org/dc/elements/1.1/" 
           xmlns:dr="http://www.driver-repository.eu/namespace/dr" 
           xmlns:dri="http://www.driver-repository.eu/namespace/dri" 
           xmlns:provenance="http://www.openarchives.org/OAI/2.0/provenance"
           xmlns:oaf="http://namespace.openaire.eu/oaf"
           elementFormDefault="qualified" attributeFormDefault="unqualified"
           id="oafSchema_vTransformator"
           version="1.1">
<!-- 	<xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>
-->
	<xs:import namespace="http://purl.org/dc/elements/1.1/" schemaLocation="DRIVER_DC.xsd"/>
	<xs:import namespace="http://www.driver-repository.eu/namespace/dr" schemaLocation="DRIVER_DR.xsd"/>
	<xs:import namespace="http://www.driver-repository.eu/namespace/dri" schemaLocation="DRIVER_DRI.xsd"/>
	<xs:import namespace="http://www.openarchives.org/OAI/2.0/provenance" schemaLocation="DRIVER_OAI-ProvenanceInfoSchema.xsd"/>
	<xs:import namespace="http://namespace.openaire.eu/oaf" schemaLocation="OPENAIRE_OAF.xsd"/>
	<xs:element name="record">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="header">
					<xs:complexType>
						<xs:sequence>
                            <xs:element ref="dri:objIdentifier"/>
    						<xs:element ref="dri:recordIdentifier"/>
							<xs:element ref="dri:dateOfCollection"/>
							<xs:element ref="dri:mdFormat"/>
    						<xs:element ref="dri:mdFormatInterpretation"/>
    						<xs:element ref="dri:repositoryId"/>							
							<xs:element ref="dr:objectIdentifier"/>
							<xs:element ref="dr:dateOfCollection"/>
							<xs:element ref="dr:dateOfTransformation"/>
							<xs:element ref="oaf:datasourceprefix"/>
						</xs:sequence>
						<xs:attribute name="status" use="optional"/>
						<xs:attribute name="syntaxcheck" use="optional"/>
					</xs:complexType>
				</xs:element>
				<xs:element name="metadata" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element ref="dc:title" maxOccurs="unbounded"/>
							<xs:element ref="dc:creator" maxOccurs="unbounded"/>
							<xs:element ref="dc:contributor" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="dc:date" maxOccurs="unbounded"/>
							<xs:element ref="dc:coverage" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="dc:description" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="dc:format" minOccurs="0" maxOccurs="unbounded"/>							
							<xs:element ref="dc:identifier" maxOccurs="unbounded"/>
							<xs:element ref="dc:language" maxOccurs="unbounded"/>
							<xs:element ref="dc:publisher" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="dc:relation" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="dc:source" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="dc:subject" maxOccurs="unbounded"/>
							<xs:element ref="dc:rights" minOccurs="0" maxOccurs="unbounded"/>							
							<xs:element ref="dc:type" maxOccurs="unbounded"/>
							<xs:element ref="dr:CobjCategory" maxOccurs="unbounded"/>
							<xs:element ref="dr:CobjIdentifier" maxOccurs="unbounded"/>
							<xs:element ref="oaf:dateAccepted" maxOccurs="unbounded"/>
							<xs:element ref="oaf:projectid" minOccurs="1" maxOccurs="1"/>
							<xs:element ref="oaf:embargoenddate" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:datasourceid" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:collectedDatasourceid" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:hostingDatasourceid" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:accessrights" minOccurs="1" maxOccurs="1"/>
							<xs:element ref="oaf:invalid" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:hostedBy" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:collectedFrom" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:concept" minOccurs="0" maxOccurs="unbounded"></xs:element>
							<xs:element ref="oaf:identifier" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="oaf:reference" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="oaf:fulltext" minOccurs="0" maxOccurs="unbounded"/>
							<xs:element ref="oaf:journal" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:license" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:refereed" minOccurs="0" maxOccurs="1"/>
							<xs:element ref="oaf:person" minOccurs="0" maxOccurs="unbounded"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="about" minOccurs="0" maxOccurs="unbounded">
					<xs:complexType>
						<xs:sequence>
							<xs:element ref="provenance:provenance"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>
